commit:     1d6fc5e54e48c73efe14e21a5a844dc006af02ad
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Tue Nov 21 21:08:23 2017 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Tue Nov 21 22:26:39 2017 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=1d6fc5e5

dev-python/pylzma: Bump to 0.4.9, enable tests

 dev-python/pylzma/Manifest            |  1 +
 dev-python/pylzma/pylzma-0.4.9.ebuild | 30 ++++++++++++++++++++++++++++++
 2 files changed, 31 insertions(+)

diff --git a/dev-python/pylzma/Manifest b/dev-python/pylzma/Manifest
index 3e6ca25d51a..1efeca4bfea 100644
--- a/dev-python/pylzma/Manifest
+++ b/dev-python/pylzma/Manifest
@@ -1 +1,2 @@
 DIST pylzma-0.4.8.tar.gz 115234 SHA256 
e6239cc4c134083ef6cfee54b1b9f5116dfc081474e093136b1b0e3226ac2532 SHA512 
27f9ba035f326fddbfd72b186bf272986838ff88f603f397a8dd503b99681cdf197848ff0e47e1035bd7c3fd40fd2c09026afec30728fd58f065602b0078fbeb
 WHIRLPOOL 
351877b6c46c609b44e171998c336470fbd9a6252fd2639884d813437ed781c3a5e5566ca248a97398af00d1885909b167c4dd57612380cbaf42b2a1a72803e1
+DIST pylzma-0.4.9.gh.tar.gz 4083321 BLAKE2B 
de9ec578665b05b9d13370293f1e119d9bdfd4ba63b3c9d5168b794f82cee5a1cce6dbe45d5bc92d6714c0b56759dab9e578c63b6821754bd01b2aa66c34895b
 SHA512 
d2316fcab50e4571a590985db8f132488cc4e12a45ecbcd5d21c356c4867bad671eed2e4ffda64735eb5b7e34f173a77fad65ebac9915a43cc9a17cbcf1ac62e

diff --git a/dev-python/pylzma/pylzma-0.4.9.ebuild 
b/dev-python/pylzma/pylzma-0.4.9.ebuild
new file mode 100644
index 00000000000..a1f58e4d416
--- /dev/null
+++ b/dev-python/pylzma/pylzma-0.4.9.ebuild
@@ -0,0 +1,30 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+PYTHON_COMPAT=(python2_7)
+inherit distutils-r1
+
+DESCRIPTION="Python bindings for the LZMA compression library"
+HOMEPAGE="http://www.joachim-bauch.de/projects/python/pylzma/ 
https://pypi.python.org/pypi/pylzma";
+# pypi tarball does not include test data
+SRC_URI="https://github.com/fancycode/pylzma/archive/v${PV}.tar.gz -> 
${P}.gh.tar.gz"
+
+LICENSE="LGPL-2.1"
+SLOT="0"
+KEYWORDS="~amd64 ~x86 ~x86-fbsd"
+IUSE=""
+
+RDEPEND=""
+DEPEND="dev-python/setuptools[${PYTHON_USEDEP}]"
+
+DOCS=(doc/USAGE.md README.md)
+
+python_compile() {
+       python_is_python3 || local -x CFLAGS="${CFLAGS} -fno-strict-aliasing"
+       distutils-r1_python_compile
+}
+
+python_test() {
+       "${PYTHON}" -m unittest discover -v || die "Tests fail with ${EPYTHON}"
+}

Reply via email to